---
Fuzzer filename: '/src/avahi/fuzz/fuzz-strlst.c'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/avahi/fuzz/fuzz-strlst.c'
      linkageType:     externalLinkage
      functionLinenumber: 29
      functionLinenumberEnd: 74
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - data
        - size
      BBCount:         36
      ICount:          195
      EdgeCount:       43
      CyclomaticComplexity: 9
      functionsReached:
        - __assert_fail
        - avahi_free
        - avahi_malloc
        - avahi_string_list_copy
        - avahi_string_list_equal
        - avahi_string_list_free
        - avahi_string_list_get_service_cookie
        - avahi_string_list_parse
        - avahi_string_list_serialize
        - avahi_string_list_to_string
        - avahi_utf8_valid
      functionUses:    0
      BranchProfiles:
        - Branch String:   'fuzz/fuzz-strlst.c:36,9'
          Branch Sides:
            - BranchSide:      'fuzz/fuzz-strlst.c:37,9'
              BranchSideFuncs:
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
            - BranchSide:      'fuzz/fuzz-strlst.c:39,42'
              BranchSideFuncs:
                - avahi_string_list_to_string
                - avahi_string_list_to_string
                - avahi_free
                - avahi_string_list_get_service_cookie
                - avahi_string_list_serialize
                - __assert_fail
                - avahi_malloc
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
                - avahi_string_list_serialize
                - __assert_fail
                - avahi_string_list_parse
                - avahi_string_list_equal
                - __assert_fail
                - avahi_string_list_free
                - avahi_string_list_copy
                - avahi_string_list_equal
                - __assert_fail
                - avahi_utf8_valid
                - __assert_fail
        - Branch String:   'fuzz/fuzz-strlst.c:39,9'
          Branch Sides:
            - BranchSide:      'fuzz/fuzz-strlst.c:40,9'
              BranchSideFuncs:
                - avahi_utf8_valid
                - __assert_fail
                - avahi_string_list_to_string
                - avahi_free
                - avahi_string_list_get_service_cookie
                - avahi_string_list_serialize
                - __assert_fail
                - avahi_malloc
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
                - avahi_string_list_serialize
                - __assert_fail
                - avahi_string_list_parse
                - avahi_string_list_equal
                - __assert_fail
                - avahi_string_list_free
                - avahi_string_list_copy
                - avahi_string_list_equal
                - __assert_fail
            - BranchSide:      'fuzz/fuzz-strlst.c:42,44'
              BranchSideFuncs:
                - avahi_string_list_to_string
                - avahi_free
                - avahi_string_list_get_service_cookie
                - avahi_string_list_serialize
                - __assert_fail
                - avahi_malloc
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
                - avahi_string_list_serialize
                - __assert_fail
                - avahi_string_list_parse
                - avahi_string_list_equal
                - __assert_fail
                - avahi_string_list_free
                - avahi_string_list_copy
                - avahi_string_list_equal
                - __assert_fail
        - Branch String:   'fuzz/fuzz-strlst.c:40,9'
          Branch Sides:
            - BranchSide:      'fuzz/fuzz-strlst.c:40,9'
              BranchSideFuncs:
                - avahi_string_list_to_string
                - avahi_free
                - avahi_string_list_get_service_cookie
                - avahi_string_list_serialize
                - __assert_fail
                - avahi_malloc
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
                - avahi_string_list_serialize
                - __assert_fail
                - avahi_string_list_parse
                - avahi_string_list_equal
                - __assert_fail
                - avahi_string_list_free
                - avahi_string_list_copy
                - avahi_string_list_equal
                - __assert_fail
            - BranchSide:      'fuzz/fuzz-strlst.c:40,9'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'fuzz/fuzz-strlst.c:46,5'
          Branch Sides:
            - BranchSide:      'fuzz/fuzz-strlst.c:46,5'
              BranchSideFuncs:
                - avahi_malloc
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
                - avahi_string_list_serialize
                - __assert_fail
                - avahi_string_list_parse
                - avahi_string_list_equal
                - __assert_fail
                - avahi_string_list_free
                - avahi_string_list_copy
                - avahi_string_list_equal
                - __assert_fail
            - BranchSide:      'fuzz/fuzz-strlst.c:47,32'
              BranchSideFuncs:
                - avahi_malloc
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
                - avahi_string_list_serialize
                - __assert_fail
                - avahi_string_list_parse
                - avahi_string_list_equal
                - __assert_fail
                - avahi_string_list_free
                - avahi_string_list_copy
                - avahi_string_list_equal
                - __assert_fail
        - Branch String:   'fuzz/fuzz-strlst.c:47,9'
          Branch Sides:
            - BranchSide:      'fuzz/fuzz-strlst.c:48,9'
              BranchSideFuncs:
                - avahi_string_list_serialize
                - __assert_fail
                - avahi_string_list_parse
                - avahi_string_list_equal
                - __assert_fail
                - avahi_string_list_free
                - avahi_string_list_copy
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
                - avahi_string_list_equal
                - __assert_fail
            - BranchSide:      'fuzz/fuzz-strlst.c:50,37'
              BranchSideFuncs:
                - avahi_string_list_serialize
                - __assert_fail
                - avahi_string_list_parse
                - avahi_string_list_equal
                - __assert_fail
                - avahi_string_list_free
                - avahi_string_list_copy
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
                - avahi_string_list_equal
                - __assert_fail
        - Branch String:   'fuzz/fuzz-strlst.c:51,5'
          Branch Sides:
            - BranchSide:      'fuzz/fuzz-strlst.c:51,5'
              BranchSideFuncs:
                - avahi_string_list_parse
                - avahi_string_list_equal
                - __assert_fail
                - avahi_string_list_free
                - avahi_string_list_copy
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
                - avahi_string_list_equal
                - __assert_fail
            - BranchSide:      'fuzz/fuzz-strlst.c:53,33'
              BranchSideFuncs:
                - avahi_string_list_parse
                - avahi_string_list_equal
                - __assert_fail
                - avahi_string_list_free
                - avahi_string_list_copy
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
                - avahi_string_list_equal
                - __assert_fail
        - Branch String:   'fuzz/fuzz-strlst.c:53,9'
          Branch Sides:
            - BranchSide:      'fuzz/fuzz-strlst.c:54,9'
              BranchSideFuncs:
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
            - BranchSide:      'fuzz/fuzz-strlst.c:56,35'
              BranchSideFuncs:
                - avahi_string_list_equal
                - __assert_fail
                - avahi_string_list_free
                - avahi_string_list_copy
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
                - avahi_string_list_equal
                - __assert_fail
        - Branch String:   'fuzz/fuzz-strlst.c:57,5'
          Branch Sides:
            - BranchSide:      'fuzz/fuzz-strlst.c:57,5'
              BranchSideFuncs:
                - avahi_string_list_free
                - avahi_string_list_copy
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
                - avahi_string_list_equal
                - __assert_fail
            - BranchSide:      'fuzz/fuzz-strlst.c:59,28'
              BranchSideFuncs:
                - avahi_string_list_free
                - avahi_string_list_copy
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
                - avahi_string_list_equal
                - __assert_fail
        - Branch String:   'fuzz/fuzz-strlst.c:60,9'
          Branch Sides:
            - BranchSide:      'fuzz/fuzz-strlst.c:61,9'
              BranchSideFuncs:
                - avahi_string_list_equal
                - __assert_fail
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
            - BranchSide:      'fuzz/fuzz-strlst.c:63,35'
              BranchSideFuncs:
                - avahi_string_list_equal
                - __assert_fail
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
        - Branch String:   'fuzz/fuzz-strlst.c:64,5'
          Branch Sides:
            - BranchSide:      'fuzz/fuzz-strlst.c:64,5'
              BranchSideFuncs:
                - avahi_free
                - avahi_free
                - avahi_string_list_free
                - avahi_string_list_free
            - BranchSide:      'fuzz/fuzz-strlst.c:64,5'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'fuzz/fuzz-strlst.c:69,9'
          Branch Sides:
            - BranchSide:      'fuzz/fuzz-strlst.c:70,32'
              BranchSideFuncs:
                - avahi_string_list_free
                - avahi_string_list_free
            - BranchSide:      'fuzz/fuzz-strlst.c:71,9'
              BranchSideFuncs:
                - avahi_string_list_free
        - Branch String:   'fuzz/fuzz-strlst.c:71,9'
          Branch Sides:
            - BranchSide:      'fuzz/fuzz-strlst.c:71,9'
              BranchSideFuncs:
                - avahi_string_list_free
            - BranchSide:      'fuzz/fuzz-strlst.c:72,32'
              BranchSideFuncs:
                - avahi_string_list_free
      Callsites:
        - Src:             'fuzz/fuzz-strlst.c:36,9'
          Dst:             avahi_string_list_parse
        - Src:             'fuzz/fuzz-strlst.c:39,14'
          Dst:             avahi_string_list_to_string
        - Src:             'fuzz/fuzz-strlst.c:40,9'
          Dst:             avahi_utf8_valid
        - Src:             'fuzz/fuzz-strlst.c:40,9'
          Dst:             __assert_fail
        - Src:             'fuzz/fuzz-strlst.c:42,16'
          Dst:             avahi_string_list_to_string
        - Src:             'fuzz/fuzz-strlst.c:42,5'
          Dst:             avahi_free
        - Src:             'fuzz/fuzz-strlst.c:43,5'
          Dst:             avahi_string_list_get_service_cookie
        - Src:             'fuzz/fuzz-strlst.c:45,9'
          Dst:             avahi_string_list_serialize
        - Src:             'fuzz/fuzz-strlst.c:46,5'
          Dst:             __assert_fail
        - Src:             'fuzz/fuzz-strlst.c:47,19'
          Dst:             avahi_malloc
        - Src:             'fuzz/fuzz-strlst.c:50,9'
          Dst:             avahi_string_list_serialize
        - Src:             'fuzz/fuzz-strlst.c:51,5'
          Dst:             __assert_fail
        - Src:             'fuzz/fuzz-strlst.c:53,9'
          Dst:             avahi_string_list_parse
        - Src:             'fuzz/fuzz-strlst.c:56,11'
          Dst:             avahi_string_list_equal
        - Src:             'fuzz/fuzz-strlst.c:57,5'
          Dst:             __assert_fail
        - Src:             'fuzz/fuzz-strlst.c:59,5'
          Dst:             avahi_string_list_free
        - Src:             'fuzz/fuzz-strlst.c:60,15'
          Dst:             avahi_string_list_copy
        - Src:             'fuzz/fuzz-strlst.c:63,11'
          Dst:             avahi_string_list_equal
        - Src:             'fuzz/fuzz-strlst.c:64,5'
          Dst:             __assert_fail
        - Src:             'fuzz/fuzz-strlst.c:67,5'
          Dst:             avahi_free
        - Src:             'fuzz/fuzz-strlst.c:68,5'
          Dst:             avahi_free
        - Src:             'fuzz/fuzz-strlst.c:70,9'
          Dst:             avahi_string_list_free
        - Src:             'fuzz/fuzz-strlst.c:72,9'
          Dst:             avahi_string_list_free
    - functionName:    __assert_fail
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    29
      BranchProfiles:  []
      Callsites:       []
    - functionName:    oom
      functionSourceFile: '/src/avahi/avahi-common/malloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 44
      functionLinenumberEnd: 58
      functionDepth:   0
      returnType:      void
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         9
      ICount:          46
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - abort
        - strlen
        - write
      functionUses:    3
      BranchProfiles:
        - Branch String:   'malloc.c:47,17'
          Branch Sides:
            - BranchSide:      'malloc.c:49,19'
              BranchSideFuncs:
                - strlen
                - abort
                - strlen
                - write
            - BranchSide:      'malloc.c:49,19'
              BranchSideFuncs:
                - strlen
                - abort
                - strlen
                - write
        - Branch String:   'malloc.c:49,5'
          Branch Sides:
            - BranchSide:      'malloc.c:52,27'
              BranchSideFuncs:
                - strlen
                - write
                - strlen
                - abort
            - BranchSide:      'malloc.c:58,5'
              BranchSideFuncs:
                - abort
        - Branch String:   'malloc.c:52,13'
          Branch Sides:
            - BranchSide:      'malloc.c:53,13'
              BranchSideFuncs:
                - abort
            - BranchSide:      'malloc.c:55,14'
              BranchSideFuncs:
                - strlen
                - abort
                - strlen
                - write
      Callsites:
        - Src:             'malloc.c:49,12'
          Dst:             strlen
        - Src:             'malloc.c:52,30'
          Dst:             strlen
        - Src:             'malloc.c:52,18'
          Dst:             write
        - Src:             'malloc.c:58,5'
          Dst:             abort
    - functionName:    strlen
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    7
      BranchProfiles:  []
      Callsites:       []
    - functionName:    write
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        3
      argTypes:
        - int
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    abort
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    avahi_memdup
      functionSourceFile: '/src/avahi/avahi-common/malloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 248
      functionLinenumberEnd: 257
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - s
        - l
      BBCount:         10
      ICount:          54
      EdgeCount:       11
      CyclomaticComplexity: 3
      functionsReached:
        - __assert_fail
        - avahi_malloc
      functionUses:    1
      BranchProfiles:
        - Branch String:   'malloc.c:250,5'
          Branch Sides:
            - BranchSide:      'malloc.c:250,5'
              BranchSideFuncs:
                - avahi_malloc
            - BranchSide:      'malloc.c:252,28'
              BranchSideFuncs:
                - avahi_malloc
        - Branch String:   'malloc.c:252,9'
          Branch Sides:
            - BranchSide:      'malloc.c:253,9'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:255,12'
              BranchSideFuncs: []
      Callsites:
        - Src:             'malloc.c:250,5'
          Dst:             __assert_fail
        - Src:             'malloc.c:252,15'
          Dst:             avahi_malloc
    - functionName:    avahi_malloc
      functionSourceFile: '/src/avahi/avahi-common/malloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 101
      functionLinenumberEnd: 111
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - size
      BBCount:         12
      ICount:          59
      EdgeCount:       14
      CyclomaticComplexity: 4
      functionsReached:
        - __assert_fail
        - xmalloc
      functionUses:    8
      BranchProfiles:
        - Branch String:   'malloc.c:103,9'
          Branch Sides:
            - BranchSide:      'malloc.c:104,9'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:106,10'
              BranchSideFuncs:
                - xmalloc
                - __assert_fail
        - Branch String:   'malloc.c:106,9'
          Branch Sides:
            - BranchSide:      'malloc.c:107,24'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'malloc.c:109,5'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'malloc.c:109,5'
          Branch Sides:
            - BranchSide:      'malloc.c:109,5'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:110,12'
              BranchSideFuncs: []
      Callsites:
        - Src:             'malloc.c:107,16'
          Dst:             xmalloc
        - Src:             'malloc.c:109,5'
          Dst:             __assert_fail
    - functionName:    xmalloc
      functionSourceFile: '/src/avahi/avahi-common/malloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 62
      functionLinenumberEnd: 72
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - size
      BBCount:         8
      ICount:          43
      EdgeCount:       9
      CyclomaticComplexity: 3
      functionsReached:
        - oom
      functionUses:    1
      BranchProfiles:
        - Branch String:   'malloc.c:65,9'
          Branch Sides:
            - BranchSide:      'malloc.c:66,9'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:68,22'
              BranchSideFuncs:
                - malloc
                - oom
        - Branch String:   'malloc.c:68,9'
          Branch Sides:
            - BranchSide:      'malloc.c:69,9'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:71,12'
              BranchSideFuncs: []
      Callsites:
        - Src:             'malloc.c:69,9'
          Dst:             oom
    - functionName:    avahi_strdup_printf
      functionSourceFile: '/src/avahi/avahi-common/malloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 235
      functionLinenumberEnd: 245
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - fmt
      BBCount:         7
      ICount:          40
      EdgeCount:       7
      CyclomaticComplexity: 2
      functionsReached:
        - __assert_fail
        - avahi_strdup_vprintf
      functionUses:    0
      BranchProfiles:
        - Branch String:   'malloc.c:239,5'
          Branch Sides:
            - BranchSide:      'malloc.c:239,5'
              BranchSideFuncs:
                - avahi_strdup_vprintf
            - BranchSide:      'malloc.c:239,5'
              BranchSideFuncs:
                - __assert_fail
      Callsites:
        - Src:             'malloc.c:239,5'
          Dst:             __assert_fail
        - Src:             'malloc.c:242,9'
          Dst:             avahi_strdup_vprintf
    - functionName:    avahi_strdup_vprintf
      functionSourceFile: '/src/avahi/avahi-common/malloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 200
      functionLinenumberEnd: 233
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - fmt
        - ap
      BBCount:         21
      ICount:          127
      EdgeCount:       26
      CyclomaticComplexity: 7
      functionsReached:
        - __assert_fail
        - avahi_free
        - avahi_malloc
        - avahi_realloc
        - vsnprintf
      functionUses:    1
      BranchProfiles:
        - Branch String:   'malloc.c:204,5'
          Branch Sides:
            - BranchSide:      'malloc.c:204,5'
              BranchSideFuncs:
                - avahi_malloc
                - vsnprintf
                - avahi_realloc
                - avahi_free
            - BranchSide:      'malloc.c:206,30'
              BranchSideFuncs:
                - avahi_malloc
                - vsnprintf
                - avahi_realloc
                - avahi_free
        - Branch String:   'malloc.c:206,9'
          Branch Sides:
            - BranchSide:      'malloc.c:207,9'
              BranchSideFuncs:
                - vsnprintf
                - avahi_realloc
                - avahi_free
            - BranchSide:      'malloc.c:209,5'
              BranchSideFuncs:
                - vsnprintf
                - avahi_realloc
                - avahi_free
        - Branch String:   'malloc.c:218,20'
          Branch Sides:
            - BranchSide:      'malloc.c:218,23'
              BranchSideFuncs:
                - avahi_realloc
                - avahi_free
                - vsnprintf
            - BranchSide:      'malloc.c:221,13'
              BranchSideFuncs:
                - avahi_realloc
                - avahi_free
                - vsnprintf
        - Branch String:   'malloc.c:218,13'
          Branch Sides:
            - BranchSide:      'malloc.c:219,20'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:221,13'
              BranchSideFuncs:
                - avahi_realloc
                - avahi_free
                - vsnprintf
        - Branch String:   'malloc.c:221,13'
          Branch Sides:
            - BranchSide:      'malloc.c:222,19'
              BranchSideFuncs:
                - avahi_realloc
                - avahi_free
                - vsnprintf
            - BranchSide:      'malloc.c:224,17'
              BranchSideFuncs:
                - avahi_realloc
                - avahi_free
                - vsnprintf
        - Branch String:   'malloc.c:226,13'
          Branch Sides:
            - BranchSide:      'malloc.c:227,24'
              BranchSideFuncs:
                - vsnprintf
                - avahi_realloc
                - avahi_free
            - BranchSide:      'malloc.c:231,15'
              BranchSideFuncs:
                - vsnprintf
                - avahi_realloc
                - avahi_free
      Callsites:
        - Src:             'malloc.c:204,5'
          Dst:             __assert_fail
        - Src:             'malloc.c:206,17'
          Dst:             avahi_malloc
        - Src:             'malloc.c:215,13'
          Dst:             vsnprintf
        - Src:             'malloc.c:226,22'
          Dst:             avahi_realloc
        - Src:             'malloc.c:227,13'
          Dst:             avahi_free
    - functionName:    vsnprintf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    avahi_realloc
      functionSourceFile: '/src/avahi/avahi-common/malloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 146
      functionLinenumberEnd: 158
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - p
        - size
      BBCount:         12
      ICount:          66
      EdgeCount:       14
      CyclomaticComplexity: 4
      functionsReached:
        - __assert_fail
        - avahi_free
        - xrealloc
      functionUses:    2
      BranchProfiles:
        - Branch String:   'malloc.c:148,9'
          Branch Sides:
            - BranchSide:      'malloc.c:149,20'
              BranchSideFuncs:
                - avahi_free
            - BranchSide:      'malloc.c:153,10'
              BranchSideFuncs:
                - xrealloc
                - __assert_fail
        - Branch String:   'malloc.c:153,9'
          Branch Sides:
            - BranchSide:      'malloc.c:154,25'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'malloc.c:156,5'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'malloc.c:156,5'
          Branch Sides:
            - BranchSide:      'malloc.c:156,5'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:157,12'
              BranchSideFuncs: []
      Callsites:
        - Src:             'malloc.c:149,9'
          Dst:             avahi_free
        - Src:             'malloc.c:154,16'
          Dst:             xrealloc
        - Src:             'malloc.c:156,5'
          Dst:             __assert_fail
    - functionName:    avahi_free
      functionSourceFile: '/src/avahi/avahi-common/malloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 132
      functionLinenumberEnd: 144
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - p
      BBCount:         12
      ICount:          53
      EdgeCount:       14
      CyclomaticComplexity: 4
      functionsReached:
        - __assert_fail
      functionUses:    10
      BranchProfiles:
        - Branch String:   'malloc.c:134,9'
          Branch Sides:
            - BranchSide:      'malloc.c:135,9'
              BranchSideFuncs:
                - free
                - __assert_fail
            - BranchSide:      'malloc.c:137,10'
              BranchSideFuncs:
                - free
                - __assert_fail
        - Branch String:   'malloc.c:137,9'
          Branch Sides:
            - BranchSide:      'malloc.c:138,14'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'malloc.c:142,5'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'malloc.c:142,5'
          Branch Sides:
            - BranchSide:      'malloc.c:142,5'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:143,5'
              BranchSideFuncs: []
      Callsites:
        - Src:             'malloc.c:142,5'
          Dst:             __assert_fail
    - functionName:    xrealloc
      functionSourceFile: '/src/avahi/avahi-common/malloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 75
      functionLinenumberEnd: 86
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - p
        - size
      BBCount:         8
      ICount:          47
      EdgeCount:       9
      CyclomaticComplexity: 3
      functionsReached:
        - oom
        - realloc
      functionUses:    1
      BranchProfiles:
        - Branch String:   'malloc.c:77,9'
          Branch Sides:
            - BranchSide:      'malloc.c:78,14'
              BranchSideFuncs:
                - free
            - BranchSide:      'malloc.c:82,23'
              BranchSideFuncs:
                - realloc
                - oom
        - Branch String:   'malloc.c:82,9'
          Branch Sides:
            - BranchSide:      'malloc.c:83,9'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:85,12'
              BranchSideFuncs: []
      Callsites:
        - Src:             'malloc.c:82,15'
          Dst:             realloc
        - Src:             'malloc.c:83,9'
          Dst:             oom
    - functionName:    realloc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    avahi_set_allocator
      functionSourceFile: '/src/avahi/avahi-common/malloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 196
      functionLinenumberEnd: 198
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - a
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    avahi_new_internal
      functionSourceFile: '/src/avahi/avahi-common/./malloc.h'
      linkageType:     InternalLinkage
      functionLinenumber: 48
      functionLinenumberEnd: 50
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - int
        - size_t
      constantsTouched: []
      argNames:
        - n
        - k
      BBCount:         7
      ICount:          39
      EdgeCount:       7
      CyclomaticComplexity: 2
      functionsReached:
        - __assert_fail
        - avahi_malloc
      functionUses:    1
      BranchProfiles:
        - Branch String:   './malloc.h:49,5'
          Branch Sides:
            - BranchSide:      './malloc.h:49,5'
              BranchSideFuncs:
                - avahi_malloc
            - BranchSide:      './malloc.h:49,5'
              BranchSideFuncs:
                - __assert_fail
      Callsites:
        - Src:             './malloc.h:49,5'
          Dst:             __assert_fail
        - Src:             './malloc.h:50,12'
          Dst:             avahi_malloc
    - functionName:    avahi_strndup
      functionSourceFile: '/src/avahi/avahi-common/malloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 175
      functionLinenumberEnd: 193
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - s
        - max
      BBCount:         15
      ICount:          94
      EdgeCount:       19
      CyclomaticComplexity: 6
      functionsReached:
        - avahi_new_internal
      functionUses:    1
      BranchProfiles:
        - Branch String:   'malloc.c:180,9'
          Branch Sides:
            - BranchSide:      'malloc.c:181,9'
              BranchSideFuncs:
                - avahi_new_internal
            - BranchSide:      'malloc.c:183,14'
              BranchSideFuncs:
                - avahi_new_internal
        - Branch String:   'malloc.c:184,21'
          Branch Sides:
            - BranchSide:      'malloc.c:183,5'
              BranchSideFuncs:
                - avahi_new_internal
            - BranchSide:      'malloc.c:184,25'
              BranchSideFuncs:
                - avahi_new_internal
        - Branch String:   'malloc.c:183,5'
          Branch Sides:
            - BranchSide:      'malloc.c:185,11'
              BranchSideFuncs:
                - avahi_new_internal
            - BranchSide:      'malloc.c:187,15'
              BranchSideFuncs:
                - avahi_new_internal
        - Branch String:   'malloc.c:187,9'
          Branch Sides:
            - BranchSide:      'malloc.c:188,9'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:190,12'
              BranchSideFuncs: []
      Callsites:
        - Src:             'malloc.c:187,15'
          Dst:             avahi_new_internal
    - functionName:    avahi_strdup
      functionSourceFile: '/src/avahi/avahi-common/malloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 160
      functionLinenumberEnd: 173
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - s
      BBCount:         8
      ICount:          53
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached:
        - avahi_malloc
        - strlen
      functionUses:    1
      BranchProfiles:
        - Branch String:   'malloc.c:164,9'
          Branch Sides:
            - BranchSide:      'malloc.c:165,9'
              BranchSideFuncs:
                - strlen
                - avahi_malloc
            - BranchSide:      'malloc.c:167,19'
              BranchSideFuncs:
                - strlen
                - avahi_malloc
        - Branch String:   'malloc.c:168,9'
          Branch Sides:
            - BranchSide:      'malloc.c:169,9'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:171,12'
              BranchSideFuncs: []
      Callsites:
        - Src:             'malloc.c:167,12'
          Dst:             strlen
        - Src:             'malloc.c:168,15'
          Dst:             avahi_malloc
    - functionName:    xcalloc
      functionSourceFile: '/src/avahi/avahi-common/malloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 89
      functionLinenumberEnd: 99
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - nmemb
        - size
      BBCount:         11
      ICount:          56
      EdgeCount:       13
      CyclomaticComplexity: 4
      functionsReached:
        - calloc
        - oom
      functionUses:    1
      BranchProfiles:
        - Branch String:   'malloc.c:92,19'
          Branch Sides:
            - BranchSide:      'malloc.c:92,22'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:93,9'
              BranchSideFuncs: []
        - Branch String:   'malloc.c:92,9'
          Branch Sides:
            - BranchSide:      'malloc.c:93,9'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:95,22'
              BranchSideFuncs:
                - calloc
                - oom
        - Branch String:   'malloc.c:95,9'
          Branch Sides:
            - BranchSide:      'malloc.c:96,9'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:98,12'
              BranchSideFuncs: []
      Callsites:
        - Src:             'malloc.c:95,15'
          Dst:             calloc
        - Src:             'malloc.c:96,9'
          Dst:             oom
    - functionName:    calloc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    avahi_malloc0
      functionSourceFile: '/src/avahi/avahi-common/malloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 113
      functionLinenumberEnd: 130
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - size
      BBCount:         17
      ICount:          93
      EdgeCount:       21
      CyclomaticComplexity: 6
      functionsReached:
        - __assert_fail
        - xcalloc
      functionUses:    0
      BranchProfiles:
        - Branch String:   'malloc.c:116,9'
          Branch Sides:
            - BranchSide:      'malloc.c:117,9'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:119,10'
              BranchSideFuncs:
                - xcalloc
                - __assert_fail
        - Branch String:   'malloc.c:119,9'
          Branch Sides:
            - BranchSide:      'malloc.c:120,27'
              BranchSideFuncs:
                - __assert_fail
            - BranchSide:      'malloc.c:122,9'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'malloc.c:122,9'
          Branch Sides:
            - BranchSide:      'malloc.c:123,16'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:125,5'
              BranchSideFuncs:
                - __assert_fail
        - Branch String:   'malloc.c:125,5'
          Branch Sides:
            - BranchSide:      'malloc.c:125,5'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:126,14'
              BranchSideFuncs: []
        - Branch String:   'malloc.c:126,9'
          Branch Sides:
            - BranchSide:      'malloc.c:127,16'
              BranchSideFuncs: []
            - BranchSide:      'malloc.c:129,12'
              BranchSideFuncs: []
      Callsites:
        - Src:             'malloc.c:120,16'
          Dst:             xcalloc
        - Src:             'malloc.c:125,5'
          Dst:             __assert_fail
    - functionName:    avahi_string_list_get_service_cookie
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 544
      functionLinenumberEnd: 565
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
      BBCount:         18
      ICount:          97
      EdgeCount:       24
      CyclomaticComplexity: 8
      functionsReached:
        - avahi_free
        - avahi_string_list_find
        - avahi_string_list_get_pair
        - strtoll
      functionUses:    1
      BranchProfiles:
        - Branch String:   'strlst.c:549,9'
          Branch Sides:
            - BranchSide:      'strlst.c:550,9'
              BranchSideFuncs:
                - avahi_string_list_get_pair
                - strtoll
                - avahi_free
                - avahi_free
            - BranchSide:      'strlst.c:552,36'
              BranchSideFuncs:
                - avahi_string_list_get_pair
                - strtoll
                - avahi_free
                - avahi_free
        - Branch String:   'strlst.c:552,63'
          Branch Sides:
            - BranchSide:      'strlst.c:552,67'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:553,9'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:552,9'
          Branch Sides:
            - BranchSide:      'strlst.c:553,9'
              BranchSideFuncs:
                - strtoll
                - avahi_free
                - avahi_free
            - BranchSide:      'strlst.c:555,30'
              BranchSideFuncs:
                - strtoll
                - avahi_free
                - avahi_free
        - Branch String:   'strlst.c:557,16'
          Branch Sides:
            - BranchSide:      'strlst.c:557,19'
              BranchSideFuncs:
                - avahi_free
                - avahi_free
            - BranchSide:      'strlst.c:562,16'
              BranchSideFuncs:
                - avahi_free
        - Branch String:   'strlst.c:557,23'
          Branch Sides:
            - BranchSide:      'strlst.c:557,27'
              BranchSideFuncs:
                - avahi_free
                - avahi_free
            - BranchSide:      'strlst.c:562,16'
              BranchSideFuncs:
                - avahi_free
        - Branch String:   'strlst.c:557,9'
          Branch Sides:
            - BranchSide:      'strlst.c:558,20'
              BranchSideFuncs:
                - avahi_free
            - BranchSide:      'strlst.c:562,16'
              BranchSideFuncs:
                - avahi_free
      Callsites:
        - Src:             'strlst.c:549,15'
          Dst:             avahi_string_list_find
        - Src:             'strlst.c:552,9'
          Dst:             avahi_string_list_get_pair
        - Src:             'strlst.c:555,22'
          Dst:             strtoll
        - Src:             'strlst.c:558,9'
          Dst:             avahi_free
        - Src:             'strlst.c:562,5'
          Dst:             avahi_free
    - functionName:    avahi_string_list_find
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 438
      functionLinenumberEnd: 453
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
        - key
      BBCount:         19
      ICount:          101
      EdgeCount:       23
      CyclomaticComplexity: 6
      functionsReached:
        - __assert_fail
        - strcasecmp
        - strlen
        - strncasecmp
      functionUses:    1
      BranchProfiles:
        - Branch String:   'strlst.c:441,5'
          Branch Sides:
            - BranchSide:      'strlst.c:441,5'
              BranchSideFuncs:
                - strlen
                - strcasecmp
                - strncasecmp
            - BranchSide:      'strlst.c:442,16'
              BranchSideFuncs:
                - strlen
                - strcasecmp
                - strncasecmp
        - Branch String:   'strlst.c:444,5'
          Branch Sides:
            - BranchSide:      'strlst.c:445,32'
              BranchSideFuncs:
                - strcasecmp
                - strncasecmp
            - BranchSide:      'strlst.c:452,5'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:445,13'
          Branch Sides:
            - BranchSide:      'strlst.c:446,20'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:448,33'
              BranchSideFuncs:
                - strncasecmp
                - strcasecmp
        - Branch String:   'strlst.c:448,55'
          Branch Sides:
            - BranchSide:      'strlst.c:448,58'
              BranchSideFuncs:
                - strcasecmp
                - strncasecmp
            - BranchSide:      'strlst.c:450,5'
              BranchSideFuncs:
                - strcasecmp
                - strncasecmp
        - Branch String:   'strlst.c:448,13'
          Branch Sides:
            - BranchSide:      'strlst.c:449,20'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:450,5'
              BranchSideFuncs:
                - strcasecmp
                - strncasecmp
      Callsites:
        - Src:             'strlst.c:441,5'
          Dst:             __assert_fail
        - Src:             'strlst.c:442,9'
          Dst:             strlen
        - Src:             'strlst.c:445,13'
          Dst:             strcasecmp
        - Src:             'strlst.c:448,13'
          Dst:             strncasecmp
    - functionName:    avahi_string_list_get_pair
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 483
      functionLinenumberEnd: 527
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
        - key
        - value
        - size
      BBCount:         38
      ICount:          206
      EdgeCount:       49
      CyclomaticComplexity: 13
      functionsReached:
        - __assert_fail
        - avahi_free
        - avahi_memdup
        - avahi_strdup
        - avahi_strndup
        - memchr
      functionUses:    1
      BranchProfiles:
        - Branch String:   'strlst.c:486,5'
          Branch Sides:
            - BranchSide:      'strlst.c:486,5'
              BranchSideFuncs:
                - memchr
                - avahi_strdup
                - avahi_memdup
                - avahi_free
                - avahi_strndup
            - BranchSide:      'strlst.c:488,22'
              BranchSideFuncs:
                - memchr
                - avahi_strdup
                - avahi_memdup
                - avahi_free
                - avahi_strndup
        - Branch String:   'strlst.c:488,9'
          Branch Sides:
            - BranchSide:      'strlst.c:490,13'
              BranchSideFuncs:
                - avahi_memdup
                - avahi_free
                - avahi_strndup
            - BranchSide:      'strlst.c:503,13'
              BranchSideFuncs:
                - avahi_memdup
                - avahi_free
                - avahi_strndup
        - Branch String:   'strlst.c:490,13'
          Branch Sides:
            - BranchSide:      'strlst.c:491,47'
              BranchSideFuncs:
                - avahi_strdup
            - BranchSide:      'strlst.c:494,13'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:491,17'
          Branch Sides:
            - BranchSide:      'strlst.c:491,55'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:492,17'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:494,13'
          Branch Sides:
            - BranchSide:      'strlst.c:495,14'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:497,13'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:497,13'
          Branch Sides:
            - BranchSide:      'strlst.c:498,14'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:500,5'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:503,13'
          Branch Sides:
            - BranchSide:      'strlst.c:504,48'
              BranchSideFuncs:
                - avahi_strndup
                - avahi_memdup
                - avahi_free
            - BranchSide:      'strlst.c:507,10'
              BranchSideFuncs:
                - avahi_memdup
                - avahi_free
        - Branch String:   'strlst.c:504,17'
          Branch Sides:
            - BranchSide:      'strlst.c:504,78'
              BranchSideFuncs:
                - avahi_memdup
                - avahi_free
            - BranchSide:      'strlst.c:505,17'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:511,13'
          Branch Sides:
            - BranchSide:      'strlst.c:513,41'
              BranchSideFuncs:
                - avahi_memdup
                - avahi_free
            - BranchSide:      'strlst.c:522,13'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:513,17'
          Branch Sides:
            - BranchSide:      'strlst.c:514,21'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:519,15'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:514,21'
          Branch Sides:
            - BranchSide:      'strlst.c:515,33'
              BranchSideFuncs:
                - avahi_free
            - BranchSide:      'strlst.c:516,17'
              BranchSideFuncs: []
      Callsites:
        - Src:             'strlst.c:486,5'
          Dst:             __assert_fail
        - Src:             'strlst.c:488,15'
          Dst:             memchr
        - Src:             'strlst.c:491,26'
          Dst:             avahi_strdup
        - Src:             'strlst.c:504,26'
          Dst:             avahi_strndup
        - Src:             'strlst.c:513,28'
          Dst:             avahi_memdup
        - Src:             'strlst.c:515,21'
          Dst:             avahi_free
    - functionName:    strtoll
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    memchr
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - 'N/A'
        - int
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    strcasecmp
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    strncasecmp
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    avahi_string_list_get_size
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 539
      functionLinenumberEnd: 541
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
      BBCount:         7
      ICount:          30
      EdgeCount:       7
      CyclomaticComplexity: 2
      functionsReached:
        - __assert_fail
      functionUses:    0
      BranchProfiles:
        - Branch String:   'strlst.c:540,5'
          Branch Sides:
            - BranchSide:      'strlst.c:540,5'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:540,5'
              BranchSideFuncs:
                - __assert_fail
      Callsites:
        - Src:             'strlst.c:540,5'
          Dst:             __assert_fail
    - functionName:    avahi_string_list_get_text
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 534
      functionLinenumberEnd: 536
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
      BBCount:         7
      ICount:          30
      EdgeCount:       7
      CyclomaticComplexity: 2
      functionsReached:
        - __assert_fail
      functionUses:    0
      BranchProfiles:
        - Branch String:   'strlst.c:535,5'
          Branch Sides:
            - BranchSide:      'strlst.c:535,5'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:535,5'
              BranchSideFuncs:
                - __assert_fail
      Callsites:
        - Src:             'strlst.c:535,5'
          Dst:             __assert_fail
    - functionName:    avahi_string_list_get_next
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 529
      functionLinenumberEnd: 531
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
      BBCount:         7
      ICount:          30
      EdgeCount:       7
      CyclomaticComplexity: 2
      functionsReached:
        - __assert_fail
      functionUses:    0
      BranchProfiles:
        - Branch String:   'strlst.c:530,5'
          Branch Sides:
            - BranchSide:      'strlst.c:530,5'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:530,5'
              BranchSideFuncs:
                - __assert_fail
      Callsites:
        - Src:             'strlst.c:530,5'
          Dst:             __assert_fail
    - functionName:    avahi_string_list_add_pair_arbitrary
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 464
      functionLinenumberEnd: 481
      functionDepth:   0
      returnType:      'N/A'
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - l
        - key
        - value
        - size
      BBCount:         12
      ICount:          94
      EdgeCount:       14
      CyclomaticComplexity: 4
      functionsReached:
        - __assert_fail
        - avahi_string_list_add
        - avahi_string_list_add_anonymous
        - strlen
      functionUses:    0
      BranchProfiles:
        - Branch String:   'strlst.c:466,5'
          Branch Sides:
            - BranchSide:      'strlst.c:466,5'
              BranchSideFuncs:
                - avahi_string_list_add
                - strlen
                - avahi_string_list_add_anonymous
            - BranchSide:      'strlst.c:468,10'
              BranchSideFuncs:
                - avahi_string_list_add
                - strlen
                - avahi_string_list_add_anonymous
        - Branch String:   'strlst.c:468,9'
          Branch Sides:
            - BranchSide:      'strlst.c:469,38'
              BranchSideFuncs:
                - strlen
                - avahi_string_list_add_anonymous
            - BranchSide:      'strlst.c:471,16'
              BranchSideFuncs:
                - strlen
                - avahi_string_list_add_anonymous
        - Branch String:   'strlst.c:473,9'
          Branch Sides:
            - BranchSide:      'strlst.c:474,9'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:476,12'
              BranchSideFuncs: []
      Callsites:
        - Src:             'strlst.c:466,5'
          Dst:             __assert_fail
        - Src:             'strlst.c:469,16'
          Dst:             avahi_string_list_add
        - Src:             'strlst.c:471,9'
          Dst:             strlen
        - Src:             'strlst.c:473,15'
          Dst:             avahi_string_list_add_anonymous
    - functionName:    avahi_string_list_add
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 63
      functionLinenumberEnd: 66
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
        - text
      BBCount:         7
      ICount:          35
      EdgeCount:       7
      CyclomaticComplexity: 2
      functionsReached:
        - __assert_fail
        - avahi_string_list_add_arbitrary
        - strlen
      functionUses:    5
      BranchProfiles:
        - Branch String:   'strlst.c:64,5'
          Branch Sides:
            - BranchSide:      'strlst.c:64,5'
              BranchSideFuncs:
                - strlen
                - avahi_string_list_add_arbitrary
            - BranchSide:      'strlst.c:64,5'
              BranchSideFuncs:
                - __assert_fail
      Callsites:
        - Src:             'strlst.c:64,5'
          Dst:             __assert_fail
        - Src:             'strlst.c:66,70'
          Dst:             strlen
        - Src:             'strlst.c:66,12'
          Dst:             avahi_string_list_add_arbitrary
    - functionName:    avahi_string_list_add_anonymous
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 34
      functionLinenumberEnd: 47
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - l
        - size
      BBCount:         6
      ICount:          51
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - avahi_malloc
      functionUses:    2
      BranchProfiles:
        - Branch String:   'strlst.c:37,9'
          Branch Sides:
            - BranchSide:      'strlst.c:38,9'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:40,15'
              BranchSideFuncs: []
      Callsites:
        - Src:             'strlst.c:37,15'
          Dst:             avahi_malloc
    - functionName:    avahi_string_list_add_arbitrary
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 49
      functionLinenumberEnd: 61
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - l
        - text
        - size
      BBCount:         16
      ICount:          81
      EdgeCount:       19
      CyclomaticComplexity: 5
      functionsReached:
        - __assert_fail
        - avahi_string_list_add_anonymous
      functionUses:    3
      BranchProfiles:
        - Branch String:   'strlst.c:52,5'
          Branch Sides:
            - BranchSide:      'strlst.c:52,5'
              BranchSideFuncs:
                - avahi_string_list_add_anonymous
            - BranchSide:      'strlst.c:54,47'
              BranchSideFuncs:
                - avahi_string_list_add_anonymous
        - Branch String:   'strlst.c:52,5'
          Branch Sides:
            - BranchSide:      'strlst.c:52,5'
              BranchSideFuncs:
                - avahi_string_list_add_anonymous
            - BranchSide:      'strlst.c:54,47'
              BranchSideFuncs:
                - avahi_string_list_add_anonymous
        - Branch String:   'strlst.c:54,9'
          Branch Sides:
            - BranchSide:      'strlst.c:55,9'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:57,9'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:57,9'
          Branch Sides:
            - BranchSide:      'strlst.c:58,16'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:60,12'
              BranchSideFuncs: []
      Callsites:
        - Src:             'strlst.c:52,5'
          Dst:             __assert_fail
        - Src:             'strlst.c:54,15'
          Dst:             avahi_string_list_add_anonymous
    - functionName:    avahi_string_list_add_pair
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 455
      functionLinenumberEnd: 462
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
        - key
        - value
      BBCount:         10
      ICount:          55
      EdgeCount:       11
      CyclomaticComplexity: 3
      functionsReached:
        - __assert_fail
        - avahi_string_list_add
        - avahi_string_list_add_printf
      functionUses:    0
      BranchProfiles:
        - Branch String:   'strlst.c:456,5'
          Branch Sides:
            - BranchSide:      'strlst.c:456,5'
              BranchSideFuncs:
                - avahi_string_list_add
                - avahi_string_list_add_printf
            - BranchSide:      'strlst.c:458,9'
              BranchSideFuncs:
                - avahi_string_list_add
                - avahi_string_list_add_printf
        - Branch String:   'strlst.c:458,9'
          Branch Sides:
            - BranchSide:      'strlst.c:459,45'
              BranchSideFuncs:
                - avahi_string_list_add_printf
            - BranchSide:      'strlst.c:461,38'
              BranchSideFuncs:
                - avahi_string_list_add
      Callsites:
        - Src:             'strlst.c:456,5'
          Dst:             __assert_fail
        - Src:             'strlst.c:459,16'
          Dst:             avahi_string_list_add_printf
        - Src:             'strlst.c:461,16'
          Dst:             avahi_string_list_add
    - functionName:    avahi_string_list_add_printf
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 426
      functionLinenumberEnd: 435
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
        - format
      BBCount:         7
      ICount:          42
      EdgeCount:       7
      CyclomaticComplexity: 2
      functionsReached:
        - __assert_fail
        - avahi_string_list_add_vprintf
      functionUses:    1
      BranchProfiles:
        - Branch String:   'strlst.c:429,5'
          Branch Sides:
            - BranchSide:      'strlst.c:429,5'
              BranchSideFuncs:
                - avahi_string_list_add_vprintf
            - BranchSide:      'strlst.c:429,5'
              BranchSideFuncs:
                - __assert_fail
      Callsites:
        - Src:             'strlst.c:429,5'
          Dst:             __assert_fail
        - Src:             'strlst.c:432,10'
          Dst:             avahi_string_list_add_vprintf
    - functionName:    avahi_string_list_add_vprintf
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 386
      functionLinenumberEnd: 424
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
        - format
        - va
      BBCount:         22
      ICount:          146
      EdgeCount:       27
      CyclomaticComplexity: 7
      functionsReached:
        - __assert_fail
        - avahi_free
        - avahi_malloc
        - avahi_realloc
        - strlen
        - vsnprintf
      functionUses:    1
      BranchProfiles:
        - Branch String:   'strlst.c:390,5'
          Branch Sides:
            - BranchSide:      'strlst.c:390,5'
              BranchSideFuncs:
                - avahi_malloc
                - vsnprintf
                - avahi_realloc
                - avahi_free
                - strlen
            - BranchSide:      'strlst.c:392,54'
              BranchSideFuncs:
                - avahi_malloc
                - vsnprintf
                - avahi_realloc
                - avahi_free
                - strlen
        - Branch String:   'strlst.c:392,9'
          Branch Sides:
            - BranchSide:      'strlst.c:393,9'
              BranchSideFuncs:
                - vsnprintf
                - avahi_realloc
                - avahi_free
                - strlen
            - BranchSide:      'strlst.c:395,5'
              BranchSideFuncs:
                - vsnprintf
                - avahi_realloc
                - avahi_free
                - strlen
        - Branch String:   'strlst.c:404,20'
          Branch Sides:
            - BranchSide:      'strlst.c:404,23'
              BranchSideFuncs:
                - avahi_realloc
                - avahi_free
                - vsnprintf
                - strlen
            - BranchSide:      'strlst.c:407,13'
              BranchSideFuncs:
                - avahi_realloc
                - avahi_free
                - vsnprintf
                - strlen
        - Branch String:   'strlst.c:404,13'
          Branch Sides:
            - BranchSide:      'strlst.c:405,13'
              BranchSideFuncs:
                - strlen
            - BranchSide:      'strlst.c:407,13'
              BranchSideFuncs:
                - avahi_realloc
                - avahi_free
                - vsnprintf
                - strlen
        - Branch String:   'strlst.c:407,13'
          Branch Sides:
            - BranchSide:      'strlst.c:408,19'
              BranchSideFuncs:
                - avahi_realloc
                - avahi_free
                - vsnprintf
                - strlen
            - BranchSide:      'strlst.c:410,17'
              BranchSideFuncs:
                - avahi_realloc
                - avahi_free
                - vsnprintf
                - strlen
        - Branch String:   'strlst.c:412,13'
          Branch Sides:
            - BranchSide:      'strlst.c:413,24'
              BranchSideFuncs:
                - vsnprintf
                - avahi_realloc
                - avahi_free
                - strlen
            - BranchSide:      'strlst.c:417,13'
              BranchSideFuncs:
                - vsnprintf
                - avahi_realloc
                - avahi_free
                - strlen
      Callsites:
        - Src:             'strlst.c:390,5'
          Dst:             __assert_fail
        - Src:             'strlst.c:392,15'
          Dst:             avahi_malloc
        - Src:             'strlst.c:401,13'
          Dst:             vsnprintf
        - Src:             'strlst.c:412,20'
          Dst:             avahi_realloc
        - Src:             'strlst.c:413,13'
          Dst:             avahi_free
        - Src:             'strlst.c:421,15'
          Dst:             strlen
    - functionName:    avahi_string_list_length
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 377
      functionLinenumberEnd: 383
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
      BBCount:         5
      ICount:          30
      EdgeCount:       5
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:
        - Branch String:   'strlst.c:380,5'
          Branch Sides:
            - BranchSide:      'strlst.c:381,10'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:383,12'
              BranchSideFuncs: []
      Callsites:       []
    - functionName:    avahi_string_list_new_from_array
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 365
      functionLinenumberEnd: 374
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - array
        - length
      BBCount:         14
      ICount:          87
      EdgeCount:       16
      CyclomaticComplexity: 4
      functionsReached:
        - __assert_fail
        - avahi_string_list_add
      functionUses:    0
      BranchProfiles:
        - Branch String:   'strlst.c:369,5'
          Branch Sides:
            - BranchSide:      'strlst.c:369,5'
              BranchSideFuncs:
                - avahi_string_list_add
            - BranchSide:      'strlst.c:371,12'
              BranchSideFuncs:
                - avahi_string_list_add
        - Branch String:   'strlst.c:371,17'
          Branch Sides:
            - BranchSide:      'strlst.c:371,31'
              BranchSideFuncs:
                - avahi_string_list_add
            - BranchSide:      'strlst.c:371,46'
              BranchSideFuncs:
                - avahi_string_list_add
        - Branch String:   'strlst.c:371,5'
          Branch Sides:
            - BranchSide:      'strlst.c:372,35'
              BranchSideFuncs:
                - avahi_string_list_add
            - BranchSide:      'strlst.c:374,12'
              BranchSideFuncs: []
      Callsites:
        - Src:             'strlst.c:369,5'
          Dst:             __assert_fail
        - Src:             'strlst.c:372,13'
          Dst:             avahi_string_list_add
    - functionName:    avahi_string_list_copy
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 353
      functionLinenumberEnd: 363
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
      BBCount:         10
      ICount:          57
      EdgeCount:       12
      CyclomaticComplexity: 4
      functionsReached:
        - avahi_string_list_add_arbitrary
        - avahi_string_list_free
        - avahi_string_list_reverse
      functionUses:    1
      BranchProfiles:
        - Branch String:   'strlst.c:356,5'
          Branch Sides:
            - BranchSide:      'strlst.c:357,51'
              BranchSideFuncs:
                - avahi_string_list_add_arbitrary
                - avahi_string_list_free
                - avahi_string_list_reverse
            - BranchSide:      'strlst.c:362,38'
              BranchSideFuncs:
                - avahi_string_list_reverse
        - Branch String:   'strlst.c:357,13'
          Branch Sides:
            - BranchSide:      'strlst.c:357,71'
              BranchSideFuncs:
                - avahi_string_list_reverse
                - avahi_string_list_add_arbitrary
                - avahi_string_list_free
            - BranchSide:      'strlst.c:358,36'
              BranchSideFuncs:
                - avahi_string_list_free
      Callsites:
        - Src:             'strlst.c:357,19'
          Dst:             avahi_string_list_add_arbitrary
        - Src:             'strlst.c:358,13'
          Dst:             avahi_string_list_free
        - Src:             'strlst.c:362,12'
          Dst:             avahi_string_list_reverse
    - functionName:    avahi_string_list_free
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 108
      functionLinenumberEnd: 116
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
      BBCount:         6
      ICount:          35
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - avahi_free
      functionUses:    5
      BranchProfiles:
        - Branch String:   'strlst.c:111,5'
          Branch Sides:
            - BranchSide:      'strlst.c:112,13'
              BranchSideFuncs:
                - avahi_free
            - BranchSide:      'strlst.c:116,1'
              BranchSideFuncs: []
      Callsites:
        - Src:             'strlst.c:113,9'
          Dst:             avahi_free
    - functionName:    avahi_string_list_reverse
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 118
      functionLinenumberEnd: 128
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
      BBCount:         4
      ICount:          36
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    5
      BranchProfiles:
        - Branch String:   'strlst.c:121,5'
          Branch Sides:
            - BranchSide:      'strlst.c:122,13'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:128,12'
              BranchSideFuncs: []
      Callsites:       []
    - functionName:    avahi_string_list_new_va
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 349
      functionLinenumberEnd: 350
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - va
      BBCount:         3
      ICount:          16
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - avahi_string_list_add_many_va
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'strlst.c:350,12'
          Dst:             avahi_string_list_add_many_va
    - functionName:    avahi_string_list_add_many_va
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 325
      functionLinenumberEnd: 331
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - r
        - va
      BBCount:         9
      ICount:          60
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - avahi_string_list_add
      functionUses:    3
      BranchProfiles:
        - Branch String:   'strlst.c:328,19'
          Branch Sides:
            - BranchSide:      'strlst.c:328,19'
              BranchSideFuncs:
                - avahi_string_list_add
            - BranchSide:      'strlst.c:328,19'
              BranchSideFuncs:
                - avahi_string_list_add
        - Branch String:   'strlst.c:328,5'
          Branch Sides:
            - BranchSide:      'strlst.c:329,35'
              BranchSideFuncs:
                - avahi_string_list_add
            - BranchSide:      'strlst.c:331,12'
              BranchSideFuncs: []
      Callsites:
        - Src:             'strlst.c:329,13'
          Dst:             avahi_string_list_add
    - functionName:    avahi_string_list_new
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 334
      functionLinenumberEnd: 346
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - txt
      BBCount:         6
      ICount:          43
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - avahi_string_list_add
        - avahi_string_list_add_many_va
      functionUses:    0
      BranchProfiles:
        - Branch String:   'strlst.c:338,9'
          Branch Sides:
            - BranchSide:      'strlst.c:338,9'
              BranchSideFuncs:
                - avahi_string_list_add
                - avahi_string_list_add_many_va
            - BranchSide:      'strlst.c:339,35'
              BranchSideFuncs:
                - avahi_string_list_add
                - avahi_string_list_add_many_va
      Callsites:
        - Src:             'strlst.c:339,13'
          Dst:             avahi_string_list_add
        - Src:             'strlst.c:342,13'
          Dst:             avahi_string_list_add_many_va
    - functionName:    avahi_string_list_add_many
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 315
      functionLinenumberEnd: 322
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - r
      BBCount:         3
      ICount:          25
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - avahi_string_list_add_many_va
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'strlst.c:319,9'
          Dst:             avahi_string_list_add_many_va
    - functionName:    avahi_string_list_equal
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 295
      functionLinenumberEnd: 313
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - a
        - b
      BBCount:         22
      ICount:          110
      EdgeCount:       29
      CyclomaticComplexity: 9
      functionsReached:
        - memcmp
      functionUses:    2
      BranchProfiles:
        - Branch String:   'strlst.c:298,16'
          Branch Sides:
            - BranchSide:      'strlst.c:298,20'
              BranchSideFuncs:
                - memcmp
            - BranchSide:      'strlst.c:301,14'
              BranchSideFuncs:
                - memcmp
        - Branch String:   'strlst.c:298,13'
          Branch Sides:
            - BranchSide:      'strlst.c:299,13'
              BranchSideFuncs:
                - memcmp
            - BranchSide:      'strlst.c:301,14'
              BranchSideFuncs:
                - memcmp
        - Branch String:   'strlst.c:301,16'
          Branch Sides:
            - BranchSide:      'strlst.c:301,20'
              BranchSideFuncs:
                - memcmp
            - BranchSide:      'strlst.c:302,13'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:301,13'
          Branch Sides:
            - BranchSide:      'strlst.c:302,13'
              BranchSideFuncs:
                - memcmp
            - BranchSide:      'strlst.c:304,13'
              BranchSideFuncs:
                - memcmp
        - Branch String:   'strlst.c:304,13'
          Branch Sides:
            - BranchSide:      'strlst.c:305,13'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:307,13'
              BranchSideFuncs:
                - memcmp
        - Branch String:   'strlst.c:307,26'
          Branch Sides:
            - BranchSide:      'strlst.c:307,36'
              BranchSideFuncs:
                - memcmp
            - BranchSide:      'strlst.c:310,13'
              BranchSideFuncs:
                - memcmp
        - Branch String:   'strlst.c:307,13'
          Branch Sides:
            - BranchSide:      'strlst.c:308,13'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:310,13'
              BranchSideFuncs:
                - memcmp
      Callsites:
        - Src:             'strlst.c:307,29'
          Dst:             memcmp
    - functionName:    memcmp
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    avahi_string_list_serialize
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 228
      functionLinenumberEnd: 292
      functionDepth:   0
      returnType:      size_t
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - l
        - data
        - size
      BBCount:         38
      ICount:          216
      EdgeCount:       50
      CyclomaticComplexity: 14
      functionsReached:
        - avahi_string_list_reverse
      functionUses:    2
      BranchProfiles:
        - Branch String:   'strlst.c:231,9'
          Branch Sides:
            - BranchSide:      'strlst.c:235,39'
              BranchSideFuncs:
                - avahi_string_list_reverse
                - avahi_string_list_reverse
            - BranchSide:      'strlst.c:276,18'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:238,30'
          Branch Sides:
            - BranchSide:      'strlst.c:238,33'
              BranchSideFuncs:
                - avahi_string_list_reverse
            - BranchSide:      'strlst.c:238,9'
              BranchSideFuncs:
                - avahi_string_list_reverse
        - Branch String:   'strlst.c:238,9'
          Branch Sides:
            - BranchSide:      'strlst.c:241,22'
              BranchSideFuncs:
                - avahi_string_list_reverse
            - BranchSide:      'strlst.c:261,39'
              BranchSideFuncs:
                - avahi_string_list_reverse
        - Branch String:   'strlst.c:241,17'
          Branch Sides:
            - BranchSide:      'strlst.c:243,17'
              BranchSideFuncs:
                - avahi_string_list_reverse
            - BranchSide:      'strlst.c:245,17'
              BranchSideFuncs:
                - avahi_string_list_reverse
        - Branch String:   'strlst.c:245,17'
          Branch Sides:
            - BranchSide:      'strlst.c:247,19'
              BranchSideFuncs:
                - avahi_string_list_reverse
            - BranchSide:      'strlst.c:249,17'
              BranchSideFuncs:
                - avahi_string_list_reverse
        - Branch String:   'strlst.c:249,17'
          Branch Sides:
            - BranchSide:      'strlst.c:251,21'
              BranchSideFuncs:
                - avahi_string_list_reverse
            - BranchSide:      'strlst.c:253,32'
              BranchSideFuncs:
                - avahi_string_list_reverse
        - Branch String:   'strlst.c:263,23'
          Branch Sides:
            - BranchSide:      'strlst.c:263,26'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:273,5'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:263,13'
          Branch Sides:
            - BranchSide:      'strlst.c:269,25'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:273,5'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:276,9'
          Branch Sides:
            - BranchSide:      'strlst.c:279,22'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:288,13'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:279,17'
          Branch Sides:
            - BranchSide:      'strlst.c:280,17'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:282,17'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:282,17'
          Branch Sides:
            - BranchSide:      'strlst.c:283,19'
              BranchSideFuncs: []
            - BranchSide:      'strlst.c:285,23'
              BranchSideFuncs: []
      Callsites:
        - Src:             'strlst.c:235,13'
          Dst:             avahi_string_list_reverse
        - Src:             'strlst.c:261,13'
          Dst:             avahi_string_list_reverse
    - functionName:    avahi_new_internal
      functionSourceFile: '/src/avahi/avahi-common/./malloc.h'
      linkageType:     InternalLinkage
      functionLinenumber: 48
      functionLinenumberEnd: 50
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - int
        - size_t
      constantsTouched: []
      argNames:
        - n
        - k
      BBCount:         7
      ICount:          39
      EdgeCount:       7
      CyclomaticComplexity: 2
      functionsReached:
        - __assert_fail
        - avahi_malloc
      functionUses:    1
      BranchProfiles:
        - Branch String:   './malloc.h:49,5'
          Branch Sides:
            - BranchSide:      './malloc.h:49,5'
              BranchSideFuncs:
                - avahi_malloc
            - BranchSide:      './malloc.h:49,5'
              BranchSideFuncs:
                - __assert_fail
      Callsites:
        - Src:             './malloc.h:49,5'
          Dst:             __assert_fail
        - Src:             './malloc.h:50,12'
          Dst:             avahi_malloc
    - functionName:    avahi_string_list_to_string
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 162
      functionLinenumberEnd: 226
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - l
      BBCount:         49
      ICount:          315
      EdgeCount:       56
      CyclomaticComplexity: 9
      functionsReached:
        - __assert_fail
        - avahi_new_internal
        - avahi_string_list_reverse
      functionUses:    2
      BranchProfiles:
        - Branch String:   'strlst.c:167,5'
          Branch Sides:
            - BranchSide:      'strlst.c:168,13'
              BranchSideFuncs:
                - avahi_new_internal.77
                - avahi_string_list_reverse
                - avahi_string_list_reverse
                - __assert_fail
            - BranchSide:      'strlst.c:189,19'
              BranchSideFuncs:
                - avahi_new_internal.77
                - avahi_string_list_reverse
                - avahi_string_list_reverse
                - __assert_fail
        - Branch String:   'strlst.c:168,13'
          Branch Sides:
            - BranchSide:      'strlst.c:169,15'
              BranchSideFuncs:
                - avahi_new_internal.77
                - avahi_string_list_reverse
                - avahi_string_list_reverse
                - __assert_fail
            - BranchSide:      'strlst.c:171,26'
              BranchSideFuncs:
                - avahi_new_internal.77
                - avahi_string_list_reverse
                - avahi_string_list_reverse
                - __assert_fail
        - Branch String:   'strlst.c:171,9'
          Branch Sides:
            - BranchSide:      'strlst.c:172,22'
              BranchSideFuncs:
                - avahi_new_internal.77
                - avahi_string_list_reverse
                - avahi_string_list_reverse
                - __assert_fail
            - BranchSide:      'strlst.c:186,11'
              BranchSideFuncs:
                - avahi_new_internal.77
                - avahi_string_list_reverse
                - avahi_string_list_reverse
                - __assert_fail
        - Branch String:   'strlst.c:172,13'
          Branch Sides:
            - BranchSide:      'strlst.c:175,21'
              BranchSideFuncs:
                - avahi_new_internal.77
                - avahi_string_list_reverse
                - avahi_string_list_reverse
                - __assert_fail
            - BranchSide:      'strlst.c:175,21'
              BranchSideFuncs:
                - avahi_new_internal.77
                - avahi_string_list_reverse
                - avahi_string_list_reverse
                - __assert_fail
            - BranchSide:      'strlst.c:178,24'
              BranchSideFuncs:
                - avahi_new_internal.77
                - avahi_string_list_reverse
                - avahi_string_list_reverse
                - __assert_fail
        - Branch String:   'strlst.c:178,23'
          Branch Sides:
            - BranchSide:      'strlst.c:179,25'
              BranchSideFuncs:
                - avahi_new_internal.77
                - avahi_string_list_reverse
                - avahi_string_list_reverse
                - __assert_fail
            - BranchSide:      'strlst.c:181,25'
              BranchSideFuncs:
                - avahi_new_internal.77
                - avahi_string_list_reverse
                - avahi_string_list_reverse
                - __assert_fail
        - Branch String:   'strlst.c:189,9'
          Branch Sides:
            - BranchSide:      'strlst.c:190,9'
              BranchSideFuncs:
                - avahi_string_list_reverse
                - avahi_string_list_reverse
                - __assert_fail
            - BranchSide:      'strlst.c:192,35'
              BranchSideFuncs:
                - avahi_string_list_reverse
                - avahi_string_list_reverse
                - __assert_fail
        - Branch String:   'strlst.c:194,5'
          Branch Sides:
            - BranchSide:      'strlst.c:195,13'
              BranchSideFuncs:
                - __assert_fail
                - avahi_string_list_reverse
            - BranchSide:      'strlst.c:221,35'
              BranchSideFuncs:
                - avahi_string_list_reverse
        - Branch String:   'strlst.c:195,13'
          Branch Sides:
            - BranchSide:      'strlst.c:196,16'
              BranchSideFuncs:
                - __assert_fail
                - avahi_string_list_reverse
            - BranchSide:      'strlst.c:198,12'
              BranchSideFuncs:
                - __assert_fail
                - avahi_string_list_reverse
        - Branch String:   'strlst.c:199,9'
          Branch Sides:
            - BranchSide:      'strlst.c:200,22'
              BranchSideFuncs:
                - __assert_fail
                - avahi_string_list_reverse
            - BranchSide:      'strlst.c:216,12'
              BranchSideFuncs:
                - __assert_fail
                - avahi_string_list_reverse
        - Branch String:   'strlst.c:200,13'
          Branch Sides:
            - BranchSide:      'strlst.c:203,22'
              BranchSideFuncs:
                - __assert_fail
                - avahi_string_list_reverse
            - BranchSide:      'strlst.c:203,22'
              BranchSideFuncs:
                - __assert_fail
                - avahi_string_list_reverse
            - BranchSide:      'strlst.c:206,24'
              BranchSideFuncs:
                - __assert_fail
                - avahi_string_list_reverse
        - Branch String:   'strlst.c:206,23'
          Branch Sides:
            - BranchSide:      'strlst.c:207,26'
              BranchSideFuncs:
                - __assert_fail
                - avahi_string_list_reverse
            - BranchSide:      'strlst.c:212,33'
              BranchSideFuncs:
                - __assert_fail
                - avahi_string_list_reverse
        - Branch String:   'strlst.c:218,9'
          Branch Sides:
            - BranchSide:      'strlst.c:218,9'
              BranchSideFuncs:
                - avahi_string_list_reverse
                - __assert_fail
            - BranchSide:      'strlst.c:219,5'
              BranchSideFuncs:
                - avahi_string_list_reverse
                - __assert_fail
      Callsites:
        - Src:             'strlst.c:189,19'
          Dst:             avahi_new_internal
        - Src:             'strlst.c:192,9'
          Dst:             avahi_string_list_reverse
        - Src:             'strlst.c:218,9'
          Dst:             __assert_fail
        - Src:             'strlst.c:221,9'
          Dst:             avahi_string_list_reverse
    - functionName:    avahi_string_list_parse
      functionSourceFile: '/src/avahi/avahi-common/strlst.c'
      linkageType:     InternalLinkage
      functionLinenumber: 69
      functionLinenumberEnd: 106
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - data
        - size
        - ret
      BBCount:         23
      ICount:          129
      EdgeCount:       27
      CyclomaticComplexity: 6
      functionsReached:
        - __assert_fail
        - avahi_string_list_add_arbitrary
        - avahi_string_list_free
      functionUses:    2
      BranchProfiles:
        - Branch String:   'strlst.c:73,5'
          Branch Sides:
            - BranchSide:      'strlst.c:73,5'
              BranchSideFuncs:
                - __assert_fail
                - avahi_string_list_add_arbitrary
                - avahi_string_list_free
            - BranchSide:      'strlst.c:74,5'
              BranchSideFuncs:
                - __assert_fail
                - avahi_string_list_add_arbitrary
                - avahi_string_list_free
        - Branch String:   'strlst.c:74,5'
          Branch Sides:
            - BranchSide:      'strlst.c:74,5'
              BranchSideFuncs:
                - avahi_string_list_add_arbitrary
                - avahi_string_list_free
            - BranchSide:      'strlst.c:76,9'
              BranchSideFuncs:
                - avahi_string_list_add_arbitrary
                - avahi_string_list_free
        - Branch String:   'strlst.c:77,5'
          Branch Sides:
            - BranchSide:      'strlst.c:80,16'
              BranchSideFuncs:
                - avahi_string_list_add_arbitrary
                - avahi_string_list_free
            - BranchSide:      'strlst.c:99,12'
              BranchSideFuncs: []
        - Branch String:   'strlst.c:83,13'
          Branch Sides:
            - BranchSide:      'strlst.c:84,13'
              BranchSideFuncs:
                - avahi_string_list_free
            - BranchSide:      'strlst.c:86,13'
              BranchSideFuncs:
                - avahi_string_list_free
                - avahi_string_list_add_arbitrary
        - Branch String:   'strlst.c:86,13'
          Branch Sides:
            - BranchSide:      'strlst.c:89,55'
              BranchSideFuncs:
                - avahi_string_list_add_arbitrary
                - avahi_string_list_free
            - BranchSide:      'strlst.c:95,14'
              BranchSideFuncs:
                - avahi_string_list_add_arbitrary
                - avahi_string_list_free
        - Branch String:   'strlst.c:89,17'
          Branch Sides:
            - BranchSide:      'strlst.c:90,17'
              BranchSideFuncs:
                - avahi_string_list_add_arbitrary
                - avahi_string_list_free
            - BranchSide:      'strlst.c:92,17'
              BranchSideFuncs:
                - avahi_string_list_add_arbitrary
                - avahi_string_list_free
      Callsites:
        - Src:             'strlst.c:73,5'
          Dst:             __assert_fail
        - Src:             'strlst.c:74,5'
          Dst:             __assert_fail
        - Src:             'strlst.c:89,23'
          Dst:             avahi_string_list_add_arbitrary
        - Src:             'strlst.c:104,5'
          Dst:             avahi_string_list_free
    - functionName:    avahi_utf8_valid
      functionSourceFile: '/src/avahi/avahi-common/utf8.c'
      linkageType:     InternalLinkage
      functionLinenumber: 52
      functionLinenumberEnd: 110
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - str
      BBCount:         50
      ICount:          265
      EdgeCount:       65
      CyclomaticComplexity: 17
      functionsReached: []
      functionUses:    1
      BranchProfiles:
        - Branch String:   'utf8.c:57,3'
          Branch Sides:
            - BranchSide:      'utf8.c:59,35'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:109,10'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:59,11'
          Branch Sides:
            - BranchSide:      'utf8.c:63,33'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:107,5'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:63,8'
          Branch Sides:
            - BranchSide:      'utf8.c:65,39'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:73,37'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:65,13'
          Branch Sides:
            - BranchSide:      'utf8.c:66,3'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:67,9'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:68,13'
          Branch Sides:
            - BranchSide:      'utf8.c:69,3'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:70,6'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:73,12'
          Branch Sides:
            - BranchSide:      'utf8.c:75,9'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:79,42'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:79,17'
          Branch Sides:
            - BranchSide:      'utf8.c:81,9'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:85,3'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:88,8'
          Branch Sides:
            - BranchSide:      'utf8.c:88,8'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:90,9'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:91,8'
          Branch Sides:
            - BranchSide:      'utf8.c:91,8'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:92,9'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:93,8'
          Branch Sides:
            - BranchSide:      'utf8.c:93,8'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:95,14'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:95,13'
          Branch Sides:
            - BranchSide:      'utf8.c:96,3'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:98,15'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:98,15'
          Branch Sides:
            - BranchSide:      'utf8.c:98,15'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:99,3'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:98,15'
          Branch Sides:
            - BranchSide:      'utf8.c:98,15'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:99,3'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:98,15'
          Branch Sides:
            - BranchSide:      'utf8.c:98,15'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:98,15'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:98,15'
          Branch Sides:
            - BranchSide:      'utf8.c:98,15'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:99,3'
              BranchSideFuncs: []
        - Branch String:   'utf8.c:98,13'
          Branch Sides:
            - BranchSide:      'utf8.c:0,0'
              BranchSideFuncs: []
            - BranchSide:      'utf8.c:99,3'
              BranchSideFuncs: []
      Callsites:       []
...
